import javax.ejb.*;
import java.rmi.RemoteException;

public class TestImpl implements SessionBean {
  private SessionContext mContext = null;

  // Session bean methods
  public void ejbPassivate() {
    System.out.println("TestImpl passivated.");
  }
  public void ejbActivate() {
    System.out.println("TestImpl activated.");
  }
  public void ejbCreate() {
    System.out.println("TestImpl created.");
  }
  public void ejbRemove() {
    System.out.println("TestImpl removed.");
  }

  // Get session context from container
  public void setSessionContext(SessionContext context) {
    System.out.println("TestImpl context set.");
    mContext = context;
  }

  // Business methods
  public String sayHello() throws RemoteException {
    return "Hello, from EJBoss!";
  }
}